Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00114 Graphics Minor Have not tried Jan 22, 2008, 06:44 Aug 11, 2008, 12:17
Tester Karasu View Status Public Platform
Assigned To nicolasa Resolution Fixed OS
Status [?] Resolved Driver clshroad.cpp
Version 0.55 Fixed in Version 0.125u3 Build
Fixed in Git Commit Github Pull Request #
Summary 00114: clshroad: occasionally a cycler who's graphics are garbled will come along.
Description In Clash-Road, occasionally a cycler who's graphics are garbled will come along, but the graphic corrects itself just before he exits the screen.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems clshroad
Attached Files
png file icon clshroad55.png (4,588 bytes) Aug 10, 2008, 11:34
Relationships
duplicate of 00267Resolvednicolasa clshroad: Occasionally a cycler who's graphics are garbled will come along, 
Notes
3
User avatar
No.02024
RansAckeR
Tester
Aug 10, 2008, 11:37
Added snap from 0.55.

I tried reproducing this in 0.126u4, but was unable to. Also see this:
"0.125u3: Nicola Salmoria fixed game slowness and garbled cycler graphics. Changed Z80 CPU1 clock speed to 4608000 Hz."

On a side-note, I feel this game is way to fast to be able to control the bike properly. Just compare the speed in e.g. 0.55 with 0.126u4.
User avatar
No.02025
Haze
Senior Tester
Aug 10, 2008, 13:10
the clock change speed was meant to fix this glitch... the game was running too slowly before, not having enough time to complete everything it needed to complete in a frame, and thus producing corrupt graphics...
User avatar
No.02038
etabeta
Developer
Aug 11, 2008, 12:17
fixed like #267 (I guess it's too late to close this as a duplicate report ;) )